## zanshin 24.08.2

=== debian/changelog ===
zanshin (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 17:43:05 -0500

zanshin (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:01 +0200

zanshin (24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar is
    available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 13:24:54 +0200

zanshin (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Sep 2024 17:53:40 +0200

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicalendar-dev (>= 4:24.08.2~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6runner-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkontactinterface-dev (>= 24.08.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 24.12.0

=== debian/changelog ===
zanshin (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:43 +0100

zanshin (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:46 +0100

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicalendar-dev (>= 4:24.12.0~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 24.12.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/zanshin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/zanshin.git

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 24.12.2

=== debian/changelog ===
zanshin (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -19,7 +19,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 24.12.0~),
+               libkontactinterface-dev (>= 24.12.2~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(zanshin VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.6.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
set(KDE_COMPILERSETTINGS_LEVEL "5.84")

include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

set(REQUIRED_QT_VERSION "6.5.0")
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
find_package(Boost REQUIRED)
find_package(Threads REQUIRED)

if(APPLE)
    if((NOT "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.0") AND
	    "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.6000058")
        # Apple Clang 6.0.0.6000057 is known to fail on some of our code using std::mem_fn
        # but have no issues with boost::mem_fn
	   message("problematic Apple Clang version ${CMAKE_CXX_COMPILER_VERSION}, using boost::mem_fn")
        add_definitions(-DZANSHIN_USE_BOOST_MEM_FN)
    endif()
endif()

if(UNIX)
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions
endif()

kde_enable_exceptions()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()

option(ZANSHIN_BUILD_COVERAGE "Build Zanshin with gcov support" OFF)
if(ZANSHIN_BUILD_COVERAGE AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif()

option(ZANSHIN_BUILD_ASAN "Build Zanshin with asan support" OFF)
if(ZANSHIN_BUILD_ASAN)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer -fno-optimize-sibling-calls")
   link_libraries("asan")
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
)

include_directories (
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Runner
    WindowSystem
    I18n
    CalendarCore
    Parts
    Crash
)

find_package(KPim6Akonadi "6.3.3" REQUIRED)
find_package(KPim6AkonadiCalendar "6.3.3" REQUIRED)
find_package(KPim6KontactInterface "6.3.3" REQUIRED)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.3.3
     KF 6.8.0
    )

add_subdirectory(src)
ki18n_install(po)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/zanshin/migrator/CMakeLists.txt ===

add_library(migrator STATIC)
target_sources(migrator PRIVATE
    zanshin021migrator.cpp
    zanshincontextitemsmigrator.cpp
    zanshin021migrator.h
    zanshincontextitemsmigrator.h
)
set_property(TARGET migrator PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(migrator
    akonadi
    domain
    utils
)

add_executable(zanshin-migrator main.cpp)
target_link_libraries(zanshin-migrator migrator)
install(TARGETS zanshin-migrator DESTINATION ${KDE_INSTALL_BINDIR})

=== src/zanshin/runner/CMakeLists.txt ===

kcoreaddons_add_plugin(org.kde.zanshin INSTALL_NAMESPACE "kf6/krunner")
target_sources(org.kde.zanshin PRIVATE
    zanshinrunner.cpp
    zanshinrunner.h
)
target_link_libraries(org.kde.zanshin
    akonadi
    domain
    utils
    KF6::ConfigCore
    KF6::Runner
)

=== tests/units/widgets/CMakeLists.txt ===
zanshin_auto_tests(
  applicationcomponentstest
  availablepagesviewtest
  availablesourcesviewtest
  editorviewtest
  filterwidgettest
  nameanddatasourcedialogtest
  pageviewerrorhandlertest
  pageviewtest
  quickselectdialogtest
  runningtaskwidgettest
)

# These tests need a window that takes focus
set_tests_properties(tests-units-widgets-editorviewtest PROPERTIES RUN_SERIAL TRUE)
set_tests_properties(tests-units-widgets-pageviewtest PROPERTIES RUN_SERIAL TRUE)

=== debian/changelog ===
zanshin (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -19,12 +19,12 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 24.12.2~),
+               libkontactinterface-dev (>= 24.12.3~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://zanshin.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/zanshin
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/zanshin.git

## zanshin 25.04.0

=== debian/changelog ===
zanshin (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:07:58 +0100

zanshin (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.04.0~),
               libakonadicalendar-dev (>= 4:25.04.0~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.04.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 25.04.1

=== debian/changelog ===
zanshin (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:21:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadicalendar-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.1~),
+               libakonadicalendar-dev (>= 4:25.04.1~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.0~),
+               libkontactinterface-dev (>= 25.04.1~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.04.2

=== debian/changelog ===
zanshin (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:05:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.1~),
-               libakonadicalendar-dev (>= 4:25.04.1~),
+               libakonadi-dev (>= 4:25.04.2~),
+               libakonadicalendar-dev (>= 4:25.04.2~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.1~),
+               libkontactinterface-dev (>= 25.04.2~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.04.3

=== debian/changelog ===
zanshin (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.2~),
-               libakonadicalendar-dev (>= 4:25.04.2~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicalendar-dev (>= 4:25.04.3~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.2~),
+               libkontactinterface-dev (>= 25.04.3~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.07.80

=== debian/changelog ===
zanshin (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:46:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadicalendar-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicalendar-dev (>= 4:25.07.80~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.04.3~),
+               libkontactinterface-dev (>= 25.07.80~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.07.90

=== debian/changelog ===
zanshin (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:05:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicalendar-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicalendar-dev (>= 4:25.07.90~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.07.80~),
+               libkontactinterface-dev (>= 25.07.90~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.08.0

=== debian/changelog ===
zanshin (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicalendar-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicalendar-dev (>= 4:25.08.0~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.07.90~),
+               libkontactinterface-dev (>= 25.08.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -16,7 +16,6 @@
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
-include(FeatureSummary)
 include(ECMInstallIcons)
 include(ECMMarkAsTest)
 include(ECMPoQmTools)
@@ -24,7 +23,7 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
-set(REQUIRED_QT_VERSION "6.5.0")
+set(QT_REQUIRED_VERSION "6.5.1")
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
 find_package(Threads REQUIRED)
@@ -82,13 +81,13 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.3.3" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.3.3" REQUIRED)
-find_package(KPim6KontactInterface "6.3.3" REQUIRED)
+find_package(KPim6Akonadi "6.5.1" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.5.1" REQUIRED)
+find_package(KPim6KontactInterface "6.5.1" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.3.3
-     KF 6.8.0
+ecm_set_disabled_deprecation_versions(QT 6.3.0
+     KF 6.16.0
     )
 
 add_subdirectory(src)

=== tests/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/3rdparty)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/testlib")

MACRO(ZANSHIN_MANUAL_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt::Test

      integration
      widgets
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_MANUAL_TESTS)

MACRO(ZANSHIN_AUTO_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    add_test(NAME ${_prefixed_testname} COMMAND ${_prefixed_testname})
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt::Test

      testlib
      integration
      widgets
      KPim6::AkonadiXml
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_AUTO_TESTS)

MACRO(ZANSHIN_FEATURE_TESTS)
  set(prefix "${CMAKE_CURRENT_SOURCE_DIR}")
  string(REPLACE "${CMAKE_SOURCE_DIR}" "" prefix "${prefix}")
  string(REPLACE "/" "-" prefix "${prefix}")
  string(REPLACE "\\" "-" prefix "${prefix}")
  string(LENGTH "${prefix}" prefix_length)
  string(SUBSTRING "${prefix}" 1 ${prefix_length}-1 prefix)

  FOREACH(_testname ${ARGN})
    set(_prefixed_testname "${prefix}-${_testname}")
    add_executable(${_prefixed_testname} ${_testname}.cpp)
    add_test(NAME ${_prefixed_testname} COMMAND ${_prefixed_testname})
    kde_enable_exceptions()
    target_link_libraries(${_prefixed_testname}
      Qt::Test

      featurelib
      testlib
      integration
      widgets
      KPim6::AkonadiXml
    )
  ENDFOREACH(_testname)
ENDMACRO(ZANSHIN_FEATURE_TESTS)

add_subdirectory(featurelib)
add_subdirectory(features)
add_subdirectory(manual)
add_subdirectory(benchmarks)
add_subdirectory(testlib)
add_subdirectory(units)

=== src/domain/CMakeLists.txt ===

add_library(domain STATIC)
target_sources(domain PRIVATE
    context.cpp
    contextqueries.cpp
    contextrepository.cpp
    datasource.cpp
    datasourcequeries.cpp
    datasourcerepository.cpp
    project.cpp
    projectqueries.cpp
    projectrepository.cpp
    queryresult.cpp
    queryresultinterface.cpp
    queryresultprovider.cpp
    task.cpp
    taskqueries.cpp
    taskrepository.cpp

    context.h
    contextqueries.h
    contextrepository.h
    datasource.h
    datasourcequeries.h
    datasourcerepository.h
    project.h
    projectqueries.h
    projectrepository.h
    queryresult.h
    queryresultinterface.h
    queryresultprovider.h
    task.h
    taskqueries.h
    taskrepository.h
)
set_property(TARGET domain PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(domain Qt::Core)

=== src/presentation/CMakeLists.txt ===
add_library(presentation STATIC)

target_sources(presentation PRIVATE
    applicationmodel.cpp
    editormodel.cpp
    availablepagesmodel.cpp
    availablepagessortfilterproxymodel.cpp
    availablesourcesmodel.cpp
    contextpagemodel.cpp
    errorhandler.cpp
    errorhandlingmodelbase.cpp
    inboxpagemodel.cpp
    metatypes.cpp
    pagemodel.cpp
    projectpagemodel.cpp
    alltaskspagemodel.cpp
    querytreemodelbase.cpp
    runningtaskmodelinterface.cpp
    runningtaskmodel.cpp
    taskfilterproxymodel.cpp
    workdaypagemodel.cpp

    applicationmodel.h
    editormodel.h
    availablepagesmodel.h
    availablepagessortfilterproxymodel.h
    availablesourcesmodel.h
    contextpagemodel.h
    errorhandler.h
    errorhandlingmodelbase.h
    inboxpagemodel.h
    metatypes.h
    pagemodel.h
    projectpagemodel.h
    alltaskspagemodel.h
    querytreemodelbase.h
    runningtaskmodelinterface.h
    runningtaskmodel.h
    taskfilterproxymodel.h
    workdaypagemodel.h
)

set_property(TARGET presentation PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(presentation Qt::Core Qt::Gui KF6::I18n domain utils)

=== src/utils/CMakeLists.txt ===
add_library(utils STATIC)
target_sources(utils PRIVATE
    compositejob.cpp
    datetime.cpp
    dependencymanager.cpp
    jobhandler.cpp

    compositejob.h
    datetime.h
    dependencymanager.h
    jobhandler.h
)

set_property(TARGET utils PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(utils
    KF6::CoreAddons
)

=== tests/featurelib/CMakeLists.txt ===
set(featurelib_SRCS
   zanshincontext.cpp
)

add_definitions(-DZANSHIN_USER_XMLDATA="${CMAKE_SOURCE_DIR}/tests/features/testenv/data/testdata.xml")

include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
add_library(featurelib STATIC ${featurelib_SRCS})
target_link_libraries(featurelib
    Qt::Test
    KF6::ConfigCore
    integration
)

=== tests/manual/CMakeLists.txt ===
zanshin_manual_tests(
  tasktreeviewer
)

=== tests/features/inbox/CMakeLists.txt ===
zanshin_feature_tests(
  inboxdisplayfeature
  inboxdraganddropfeature
)

=== tests/features/projects/CMakeLists.txt ===
zanshin_feature_tests(
    projectdisplayfeature
    projectaddfeature
    projectdraganddropfeature
    projecteditfeature
    projecttaskpromotefeature
    projecttaskaddfeature
    projectremovefeature
)

=== tests/units/akonadi/CMakeLists.txt ===
include(MacroAkonadiAutoTests)

zanshin_auto_tests(
  akonadiapplicationselectedattributetest
  akonadicachetest
  akonadicachingstoragetest
  akonadicontextqueriestest
  akonadicontextrepositorytest
  akonadidatasourcequeriestest
  akonadidatasourcerepositorytest
  akonadilivequeryhelperstest
  akonadilivequeryintegratortest
  akonadiprojectqueriestest
  akonadiprojectrepositorytest
  akonadiserializertest
  akonadistoragesettingstest
  akonaditaskqueriestest
  akonaditaskrepositorytest
  akonaditimestampattributetest
)

zanshin_akonadi_auto_tests(
  akonadistoragetest
  akonadicachingstorageintegrationtest
)

target_link_libraries(tests-units-akonadi-akonadistoragetest akonadi testlib)
target_link_libraries(tests-units-akonadi-akonadicachingstorageintegrationtest akonadi testlib)

=== tests/units/domain/CMakeLists.txt ===
zanshin_auto_tests(
  contexttest
  datasourcetest
  livequerytest
  liverelationshipquerytest
  mockitotest
  projecttest
  queryresulttest
  tasktest
)

=== debian/changelog ===
zanshin (25.08.1-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 15:11:16 +0000

zanshin (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:07:17 +0000

zanshin (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:39:56 +0000

zanshin (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:25:27 +0000

zanshin (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:38:07 +0000

zanshin (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:29:44 +0000

zanshin (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:13:29 +0000

zanshin (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:38:57 +0000

zanshin (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:47:26 +0000

zanshin (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:38:27 +0000

zanshin (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:36:01 +0000

zanshin (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:35:49 +0000

zanshin (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:07:29 +0000

zanshin (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:45:47 +0000

zanshin (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:01:36 +0000

zanshin (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:37:17 +0000

zanshin (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:06:03 +0000

zanshin (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:51:03 +0000

zanshin (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:47:01 +0000

zanshin (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:29:13 +0000

zanshin (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:35:29 +0000

zanshin (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:06:09 +0000

zanshin (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:47:21 +0000

zanshin (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:32:36 +0000

zanshin (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:00:11 +0000

zanshin (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:44:12 +0000

zanshin (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:14:09 +0000

zanshin (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:49:27 +0000

zanshin (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:00:17 +0000

zanshin (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:23:22 +0000

zanshin (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:55:32 +0000

zanshin (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:22:59 +0000

zanshin (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:10:49 +0000

zanshin (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:35:58 +0000

zanshin (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:25:15 +0000

zanshin (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:41:53 +0000

zanshin (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:12 +0000

zanshin (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:11 +0000

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 12),
               gettext,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-krunner-dev,
               kf6-ktextaddons-dev,
               kf6-kwindowsystem-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kontactinterface-dev,
               libboost-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://zanshin.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/zanshin.git
Vcs-Browser: https://invent.kde.org/neon/extras/zanshin
Maintainer: Neon CI <neon@kde.org>

Package: zanshin
Architecture: any
Depends: akonadi-server,
         kpim6-akonadi-contacts,
         kpim6-akonadi-mime,
         kpim6-akonadi-search,
         kpim6-kdepim-runtime,
         ${misc:Depends},
         ${shlibs:Depends}
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 25.08.1+p24.04+vstable+git20250916.0512

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
-set(QT_REQUIRED_VERSION "6.5.1")
+set(QT_REQUIRED_VERSION "6.5.2")
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
 find_package(Threads REQUIRED)
@@ -81,9 +81,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.5.1" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.5.1" REQUIRED)
-find_package(KPim6KontactInterface "6.5.1" REQUIRED)
+find_package(KPim6Akonadi "6.5.2" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.5.2" REQUIRED)
+find_package(KPim6KontactInterface "6.5.2" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0

=== debian/changelog ===
zanshin (25.08.1+p24.04+vstable+git20250916.0512-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 05:12:24 +0000

## zanshin 25.08.1+p24.04+vstable+git20251001.0104

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
zanshin (25.08.1+p24.04+vstable+git20251001.0104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 01:04:13 +0000

## zanshin 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
-set(QT_REQUIRED_VERSION "6.5.2")
+set(QT_REQUIRED_VERSION "6.5.0")
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
 find_package(Boost REQUIRED)
 find_package(Threads REQUIRED)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"zanshin\")
ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX ZANSHIN VERSION_HEADER zanshin_version.h)

# icons
add_subdirectory(icons)

# frontends
add_subdirectory(zanshin)

# modules
add_subdirectory(akonadi)
add_subdirectory(domain)
add_subdirectory(presentation)
add_subdirectory(integration)
add_subdirectory(utils)
add_subdirectory(widgets)

=== src/integration/CMakeLists.txt ===

add_library(integration STATIC)
target_sources(integration PRIVATE
    dependencies.cpp
    dependencies.h
)
set_property(TARGET integration PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(integration
    akonadi
    domain
    presentation
    utils
)

=== tests/features/CMakeLists.txt ===
add_subdirectory(inbox)
add_subdirectory(workday)
add_subdirectory(editing)
add_subdirectory(contexts)
add_subdirectory(datasource)
add_subdirectory(pages)
add_subdirectory(projects)

=== tests/testlib/CMakeLists.txt ===
set(testlib_SRCS
   akonadidebug.cpp
   akonadifakedata.cpp
   akonadifakedataxmlloader.cpp
   akonadifakejobs.cpp
   akonadifakemonitor.cpp
   akonadifakestorage.cpp
   akonadifakestoragebehavior.cpp
   akonadistoragetestbase.cpp
   fakejob.cpp
   gencollection.cpp
   gentodo.cpp
   monitorspy.cpp
   testhelpers.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/tests ${CMAKE_SOURCE_DIR}/src)
add_library(testlib STATIC ${testlib_SRCS})
set_property(TARGET testlib PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(testlib
    KPim6::AkonadiCore
    KPim6::AkonadiXml
    KF6::CalendarCore
    Qt::DBus
    Qt::Test
)

=== tests/features/pages/CMakeLists.txt ===
zanshin_feature_tests(
    pagesdisplayfeature
)

=== debian/changelog ===
zanshin (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 12:00:39 +0100

zanshin (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:14:51 +0100

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicalendar-dev (>= 4:25.08.2~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.08.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## zanshin 25.08.2+p24.04+vstable+git20251015.2019

=== CMakeLists.txt ===
--- 
+++ 
@@ -81,9 +81,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.5.2" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.5.2" REQUIRED)
-find_package(KPim6KontactInterface "6.5.2" REQUIRED)
+find_package(KPim6Akonadi "6.5.3" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.5.3" REQUIRED)
+find_package(KPim6KontactInterface "6.5.3" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0

=== debian/changelog ===
zanshin (25.08.2+p24.04+vstable+git20251015.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:19:38 +0000

zanshin (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:50:35 +0000

## zanshin 25.08.2+p24.04+vstable+git20251019.0835

=== debian/changelog ===
zanshin (25.08.2+p24.04+vstable+git20251019.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:35:38 +0000

## zanshin 25.08.3

=== tests/units/migrator/CMakeLists.txt ===
include(MacroAkonadiAutoTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../src/zanshin/migrator)

zanshin_auto_tests(
)

zanshin_akonadi_auto_tests(
  zanshin021migrationtest
  zanshincontextitemsmigrationtest
)

target_link_libraries(tests-units-migrator-zanshin021migrationtest
   migrator
   testlib
)
target_link_libraries(tests-units-migrator-zanshincontextitemsmigrationtest
   migrator
   testlib
)

=== tests/units/testlib/CMakeLists.txt ===
add_definitions(-DSOURCE_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\")

zanshin_auto_tests(
  akonadifakedatatest
  akonadifakedataxmlloadertest
  akonadifakestoragetest
  gencollectiontest
  gentodotest
  monitorspytest
)

=== debian/changelog ===
zanshin (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:48 +0100

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6runner-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkontactinterface-dev (>= 25.08.3~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/zanshin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/zanshin.git

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 25.08.3+p24.04+vunstable+git20251206.0947

=== debian/changelog ===
zanshin (25.08.3+p24.04+vunstable+git20251206.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:47:49 +0000

zanshin (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:30 +1000
